<HTML>
<HEAD>
<TITLE>fmc_adc_18b_400ks_csr</TITLE>
<STYLE TYPE="text/css" MEDIA="all">

	<!--
  BODY  { background: white; color: black;
  			  font-family: Arial,Helvetica; font-size:12; }
	h1 { font-family: Trebuchet MS,Arial,Helvetica; font-size:30; color:#404040; }
	h2 { font-family: Trebuchet MS,Arial,Helvetica; font-size:22; color:#404040; }
	h3 { font-family: Trebuchet MS,Arial,Helvetica; font-size:16; color:#404040; }
	.td_arrow_left { padding:0px; background: #ffffff; text-align: right; font-size:12;}
	.td_arrow_right { padding:0px; background: #ffffff; text-align: left; font-size:12;}
	.td_code { font-family:Courier New,Courier; padding: 3px; }
	.td_desc { padding: 3px; }
	.td_sym_center { background: #e0e0f0; padding: 3px; }
	.td_port_name { font-family:Courier New,Courier; background: #e0e0f0; text-align: right; font-weight:bold;padding: 3px; width:200px; }
	.td_pblock_left { font-family:Courier New,Courier; background: #e0e0f0; padding: 0px; text-align: left; }
	.td_pblock_right { font-family:Courier New,Courier; background: #e0e0f0; padding: 0px; text-align: right; }
	.td_bit { background: #ffffff; color:#404040; font-size:10; width: 70px; font-family:Courier New,Courier; padding: 3px; text-align:center; }
	.td_field { background: #e0e0f0; padding: 3px; text-align:center; }
	.td_unused { background: #a0a0a0; padding: 3px; text-align:center;  }
	th { font-weight:bold; color:#ffffff; background: #202080; padding:3px; }
	.tr_even { background: #f0eff0; }
	.tr_odd { background: #e0e0f0; }
	-->
</STYLE>
</HEAD>
<BODY>
<h1 class="heading">fmc_adc_18b_400ks_csr</h1>
<h3>FMC ADC 18bits 400kS/s core registers</h3>
<p>Wishbone slave for FMC ADC 18bits 400kS/s core</p>
<h3>Contents:</h3>
<span style="margin-left: 0px; ">1. <A href="#sect_1_0">Memory map summary</a></span><br/>
<span style="margin-left: 0px; ">2. <A href="#sect_2_0">HDL symbol</a></span><br/>
<span style="margin-left: 0px; ">3. <A href="#sect_3_0">Register description</a></span><br/>
<span style="margin-left: 20px; ">3.1. <A href="#sect_3_1">Control register</a></span><br/>
<span style="margin-left: 20px; ">3.2. <A href="#sect_3_2">Status register</a></span><br/>
<span style="margin-left: 20px; ">3.3. <A href="#sect_3_3">ADC Chanel 1</a></span><br/>
<span style="margin-left: 20px; ">3.4. <A href="#sect_3_4">ADC Chanel 2</a></span><br/>
<span style="margin-left: 20px; ">3.5. <A href="#sect_3_5">ADC Chanel 3</a></span><br/>
<span style="margin-left: 20px; ">3.6. <A href="#sect_3_6">ADC Chanel 4</a></span><br/>
<span style="margin-left: 20px; ">3.7. <A href="#sect_3_7">ADC Chanel 5</a></span><br/>
<span style="margin-left: 20px; ">3.8. <A href="#sect_3_8">ADC Chanel 6</a></span><br/>
<span style="margin-left: 20px; ">3.9. <A href="#sect_3_9">ADC Chanel 7</a></span><br/>
<span style="margin-left: 20px; ">3.10. <A href="#sect_3_10">ADC Chanel 8</a></span><br/>
<span style="margin-left: 20px; ">3.11. <A href="#sect_3_11">Samples counter</a></span><br/>
<h3><a name="sect_1_0">1. Memory map summary</a></h3>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<th >
H/W Address
</th>
<th >
Type
</th>
<th >
Name
</th>
<th >
VHDL/Verilog prefix
</th>
<th >
C prefix
</th>
</tr>
<tr class="tr_odd">
<td  class="td_code">
0x0
</td>
<td >
REG
</td>
<td >
<A href="#CTL">Control register</a>
</td>
<td  class="td_code">
fmc_adc_core_ctl
</td>
<td  class="td_code">
CTL
</td>
</tr>
<tr class="tr_even">
<td  class="td_code">
0x1
</td>
<td >
REG
</td>
<td >
<A href="#STA">Status register</a>
</td>
<td  class="td_code">
fmc_adc_core_sta
</td>
<td  class="td_code">
STA
</td>
</tr>
<tr class="tr_odd">
<td  class="td_code">
0x2
</td>
<td >
REG
</td>
<td >
<A href="#ADC_CH1">ADC Chanel 1</a>
</td>
<td  class="td_code">
fmc_adc_core_adc_ch1
</td>
<td  class="td_code">
ADC_CH1
</td>
</tr>
<tr class="tr_even">
<td  class="td_code">
0x3
</td>
<td >
REG
</td>
<td >
<A href="#ADC_CH2">ADC Chanel 2</a>
</td>
<td  class="td_code">
fmc_adc_core_adc_ch2
</td>
<td  class="td_code">
ADC_CH2
</td>
</tr>
<tr class="tr_odd">
<td  class="td_code">
0x4
</td>
<td >
REG
</td>
<td >
<A href="#ADC_CH3">ADC Chanel 3</a>
</td>
<td  class="td_code">
fmc_adc_core_adc_ch3
</td>
<td  class="td_code">
ADC_CH3
</td>
</tr>
<tr class="tr_even">
<td  class="td_code">
0x5
</td>
<td >
REG
</td>
<td >
<A href="#ADC_CH4">ADC Chanel 4</a>
</td>
<td  class="td_code">
fmc_adc_core_adc_ch4
</td>
<td  class="td_code">
ADC_CH4
</td>
</tr>
<tr class="tr_odd">
<td  class="td_code">
0x6
</td>
<td >
REG
</td>
<td >
<A href="#ADC_CH5">ADC Chanel 5</a>
</td>
<td  class="td_code">
fmc_adc_core_adc_ch5
</td>
<td  class="td_code">
ADC_CH5
</td>
</tr>
<tr class="tr_even">
<td  class="td_code">
0x7
</td>
<td >
REG
</td>
<td >
<A href="#ADC_CH6">ADC Chanel 6</a>
</td>
<td  class="td_code">
fmc_adc_core_adc_ch6
</td>
<td  class="td_code">
ADC_CH6
</td>
</tr>
<tr class="tr_odd">
<td  class="td_code">
0x8
</td>
<td >
REG
</td>
<td >
<A href="#ADC_CH7">ADC Chanel 7</a>
</td>
<td  class="td_code">
fmc_adc_core_adc_ch7
</td>
<td  class="td_code">
ADC_CH7
</td>
</tr>
<tr class="tr_even">
<td  class="td_code">
0x9
</td>
<td >
REG
</td>
<td >
<A href="#ADC_CH8">ADC Chanel 8</a>
</td>
<td  class="td_code">
fmc_adc_core_adc_ch8
</td>
<td  class="td_code">
ADC_CH8
</td>
</tr>
<tr class="tr_odd">
<td  class="td_code">
0xa
</td>
<td >
REG
</td>
<td >
<A href="#SAMPLES_CNT">Samples counter</a>
</td>
<td  class="td_code">
fmc_adc_core_samples_cnt
</td>
<td  class="td_code">
SAMPLES_CNT
</td>
</tr>
</table>

<h3><a name="sect_2_0">2. HDL symbol</a></h3>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_arrow_left">
&rarr;
</td>
<td  class="td_pblock_left">
rst_n_i
</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
<b>Control register:</b>
</td>
<td  class="td_arrow_right">

</td>
</tr>
<tr>
<td  class="td_arrow_left">
&rarr;
</td>
<td  class="td_pblock_left">
clk_sys_i
</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
fmc_adc_core_ctl_fsm_cmd_o[1:0]
</td>
<td  class="td_arrow_right">
&rArr;
</td>
</tr>
<tr>
<td  class="td_arrow_left">
&rArr;
</td>
<td  class="td_pblock_left">
wb_adr_i[3:0]
</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
fmc_adc_core_ctl_adc_volt_rage_o
</td>
<td  class="td_arrow_right">
&rarr;
</td>
</tr>
<tr>
<td  class="td_arrow_left">
&rArr;
</td>
<td  class="td_pblock_left">
wb_dat_i[31:0]
</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
fmc_adc_core_ctl_adc_os_o[2:0]
</td>
<td  class="td_arrow_right">
&rArr;
</td>
</tr>
<tr>
<td  class="td_arrow_left">
&lArr;
</td>
<td  class="td_pblock_left">
wb_dat_o[31:0]
</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
fmc_adc_core_ctl_adc_n_dbl_rate_o
</td>
<td  class="td_arrow_right">
&rarr;
</td>
</tr>
<tr>
<td  class="td_arrow_left">
&rarr;
</td>
<td  class="td_pblock_left">
wb_cyc_i
</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
fmc_adc_core_ctl_reserved_i[24:0]
</td>
<td  class="td_arrow_right">
&lArr;
</td>
</tr>
<tr>
<td  class="td_arrow_left">
&rArr;
</td>
<td  class="td_pblock_left">
wb_sel_i[3:0]
</td>
<td  class="td_sym_center">
&nbsp;
</td>
<td  class="td_pblock_right">

</td>
<td  class="td_arrow_right">

</td>
</tr>
<tr>
<td  class="td_arrow_left">
&rarr;
</td>
<td  class="td_pblock_left">
wb_stb_i
</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
<b>Status register:</b>
</td>
<td  class="td_arrow_right">

</td>
</tr>
<tr>
<td  class="td_arrow_left">
&rarr;
</td>
<td  class="td_pblock_left">
wb_we_i
</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
fmc_adc_core_sta_fsm_i[2:0]
</td>
<td  class="td_arrow_right">
&lArr;
</td>
</tr>
<tr>
<td  class="td_arrow_left">
&larr;
</td>
<td  class="td_pblock_left">
wb_ack_o
</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
fmc_adc_core_sta_adc_fsm_i[2:0]
</td>
<td  class="td_arrow_right">
&lArr;
</td>
</tr>
<tr>
<td  class="td_arrow_left">
&larr;
</td>
<td  class="td_pblock_left">
wb_stall_o
</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
fmc_adc_core_sta_reserved_i[25:0]
</td>
<td  class="td_arrow_right">
&lArr;
</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">
&nbsp;
</td>
<td  class="td_pblock_right">

</td>
<td  class="td_arrow_right">

</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
<b>ADC Chanel 1:</b>
</td>
<td  class="td_arrow_right">

</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
fmc_adc_core_adc_ch1_i[31:0]
</td>
<td  class="td_arrow_right">
&lArr;
</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">
&nbsp;
</td>
<td  class="td_pblock_right">

</td>
<td  class="td_arrow_right">

</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
<b>ADC Chanel 2:</b>
</td>
<td  class="td_arrow_right">

</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
fmc_adc_core_adc_ch2_i[31:0]
</td>
<td  class="td_arrow_right">
&lArr;
</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">
&nbsp;
</td>
<td  class="td_pblock_right">

</td>
<td  class="td_arrow_right">

</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
<b>ADC Chanel 3:</b>
</td>
<td  class="td_arrow_right">

</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
fmc_adc_core_adc_ch3_i[31:0]
</td>
<td  class="td_arrow_right">
&lArr;
</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">
&nbsp;
</td>
<td  class="td_pblock_right">

</td>
<td  class="td_arrow_right">

</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
<b>ADC Chanel 4:</b>
</td>
<td  class="td_arrow_right">

</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
fmc_adc_core_adc_ch4_i[31:0]
</td>
<td  class="td_arrow_right">
&lArr;
</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">
&nbsp;
</td>
<td  class="td_pblock_right">

</td>
<td  class="td_arrow_right">

</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
<b>ADC Chanel 5:</b>
</td>
<td  class="td_arrow_right">

</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
fmc_adc_core_adc_ch5_i[31:0]
</td>
<td  class="td_arrow_right">
&lArr;
</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">
&nbsp;
</td>
<td  class="td_pblock_right">

</td>
<td  class="td_arrow_right">

</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
<b>ADC Chanel 6:</b>
</td>
<td  class="td_arrow_right">

</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
fmc_adc_core_adc_ch6_i[31:0]
</td>
<td  class="td_arrow_right">
&lArr;
</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">
&nbsp;
</td>
<td  class="td_pblock_right">

</td>
<td  class="td_arrow_right">

</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
<b>ADC Chanel 7:</b>
</td>
<td  class="td_arrow_right">

</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
fmc_adc_core_adc_ch7_i[31:0]
</td>
<td  class="td_arrow_right">
&lArr;
</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">
&nbsp;
</td>
<td  class="td_pblock_right">

</td>
<td  class="td_arrow_right">

</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
<b>ADC Chanel 8:</b>
</td>
<td  class="td_arrow_right">

</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
fmc_adc_core_adc_ch8_i[31:0]
</td>
<td  class="td_arrow_right">
&lArr;
</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">
&nbsp;
</td>
<td  class="td_pblock_right">

</td>
<td  class="td_arrow_right">

</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
<b>Samples counter:</b>
</td>
<td  class="td_arrow_right">

</td>
</tr>
<tr>
<td  class="td_arrow_left">

</td>
<td  class="td_pblock_left">

</td>
<td  class="td_sym_center">

</td>
<td  class="td_pblock_right">
fmc_adc_core_samples_cnt_i[31:0]
</td>
<td  class="td_arrow_right">
&lArr;
</td>
</tr>
</table>

<h3><a name="sect_3_0">3. Register description</a></h3>
<a name="CTL"></a>
<h3><a name="sect_3_1">3.1. Control register</a></h3>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td >
<b>HW prefix: </b>
</td>
<td  class="td_code">
fmc_adc_core_ctl
</td>
</tr>
<tr>
<td >
<b>HW address: </b>
</td>
<td  class="td_code">
0x0
</td>
</tr>
<tr>
<td >
<b>C prefix: </b>
</td>
<td  class="td_code">
CTL
</td>
</tr>
<tr>
<td >
<b>C offset: </b>
</td>
<td  class="td_code">
0x0
</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
31
</td>
<td  class="td_bit">
30
</td>
<td  class="td_bit">
29
</td>
<td  class="td_bit">
28
</td>
<td  class="td_bit">
27
</td>
<td  class="td_bit">
26
</td>
<td  class="td_bit">
25
</td>
<td  class="td_bit">
24
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
RESERVED[24:17]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
23
</td>
<td  class="td_bit">
22
</td>
<td  class="td_bit">
21
</td>
<td  class="td_bit">
20
</td>
<td  class="td_bit">
19
</td>
<td  class="td_bit">
18
</td>
<td  class="td_bit">
17
</td>
<td  class="td_bit">
16
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
RESERVED[16:9]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
15
</td>
<td  class="td_bit">
14
</td>
<td  class="td_bit">
13
</td>
<td  class="td_bit">
12
</td>
<td  class="td_bit">
11
</td>
<td  class="td_bit">
10
</td>
<td  class="td_bit">
9
</td>
<td  class="td_bit">
8
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
RESERVED[8:1]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
7
</td>
<td  class="td_bit">
6
</td>
<td  class="td_bit">
5
</td>
<td  class="td_bit">
4
</td>
<td  class="td_bit">
3
</td>
<td  class="td_bit">
2
</td>
<td  class="td_bit">
1
</td>
<td  class="td_bit">
0
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=1  class="td_field">
RESERVED[0:0]
</td>
<td style="border: solid 1px black;" colspan=1  class="td_field">
ADC_N_DBL_RATE
</td>
<td style="border: solid 1px black;" colspan=3  class="td_field">
ADC_OS[2:0]
</td>
<td style="border: solid 1px black;" colspan=1  class="td_field">
ADC_VOLT_RAGE
</td>
<td style="border: solid 1px black;" colspan=2  class="td_field">
FSM_CMD[1:0]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<ul>
<li><b>
FSM_CMD
</b>[<i>read/write</i>]: State machine commands (ignore on read)
<br>1: ACQ_START (start acquisition, only when FSM is idle)<br>2: ACQ_STOP (stop acquisition, anytime)
<li><b>
ADC_VOLT_RAGE
</b>[<i>read/write</i>]: Range
<br>ADC voltage range:<br>0: +/-5V<br>1: +/-10V (default)
<li><b>
ADC_OS
</b>[<i>read/write</i>]: Oversampling Mode
<br>0: No oversampling<br>1: 2<br>2: 4<br>3: 8<br>4: 16<br>5: 32<br>6: 64<br>7: Invalid
<li><b>
ADC_N_DBL_RATE
</b>[<i>read/write</i>]: not Double Rate Input
<br>Sampling of adc (use only with adc_os=0 ==> adc_dbl_rate=1)<br>1: Sampling at 200kS/s<br>0: Sampling at 400kS/s
<li><b>
RESERVED
</b>[<i>read-only</i>]: Reserved
<br>Ignore on read, write with 0's
</ul>
<a name="STA"></a>
<h3><a name="sect_3_2">3.2. Status register</a></h3>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td >
<b>HW prefix: </b>
</td>
<td  class="td_code">
fmc_adc_core_sta
</td>
</tr>
<tr>
<td >
<b>HW address: </b>
</td>
<td  class="td_code">
0x1
</td>
</tr>
<tr>
<td >
<b>C prefix: </b>
</td>
<td  class="td_code">
STA
</td>
</tr>
<tr>
<td >
<b>C offset: </b>
</td>
<td  class="td_code">
0x4
</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
31
</td>
<td  class="td_bit">
30
</td>
<td  class="td_bit">
29
</td>
<td  class="td_bit">
28
</td>
<td  class="td_bit">
27
</td>
<td  class="td_bit">
26
</td>
<td  class="td_bit">
25
</td>
<td  class="td_bit">
24
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
RESERVED[25:18]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
23
</td>
<td  class="td_bit">
22
</td>
<td  class="td_bit">
21
</td>
<td  class="td_bit">
20
</td>
<td  class="td_bit">
19
</td>
<td  class="td_bit">
18
</td>
<td  class="td_bit">
17
</td>
<td  class="td_bit">
16
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
RESERVED[17:10]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
15
</td>
<td  class="td_bit">
14
</td>
<td  class="td_bit">
13
</td>
<td  class="td_bit">
12
</td>
<td  class="td_bit">
11
</td>
<td  class="td_bit">
10
</td>
<td  class="td_bit">
9
</td>
<td  class="td_bit">
8
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
RESERVED[9:2]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
7
</td>
<td  class="td_bit">
6
</td>
<td  class="td_bit">
5
</td>
<td  class="td_bit">
4
</td>
<td  class="td_bit">
3
</td>
<td  class="td_bit">
2
</td>
<td  class="td_bit">
1
</td>
<td  class="td_bit">
0
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=2  class="td_field">
RESERVED[1:0]
</td>
<td style="border: solid 1px black;" colspan=3  class="td_field">
ADC_FSM[2:0]
</td>
<td style="border: solid 1px black;" colspan=3  class="td_field">
FSM[2:0]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<ul>
<li><b>
FSM
</b>[<i>read-only</i>]: State machine status
<br>States:<br>0: illegal<br>1: IDLE<br>2: PRE_TRIG<br>3: WAIT_TRIG<br>4: POST_TRIG<br>5: TRIG_TAG<br>6: DECR_SHOT<br>7: illegal
<li><b>
ADC_FSM
</b>[<i>read-only</i>]: ADC State machine status
<br>States:<br>0: ADC_RST<br>1: IDLE<br>2: inConversion<br>3: reading<br>4: illegal<br>5: illegal<br>6: illegal<br>7: illegal
<li><b>
RESERVED
</b>[<i>read-only</i>]: Reserved
<br>Ignore on read, write with 0's
</ul>
<a name="ADC_CH1"></a>
<h3><a name="sect_3_3">3.3. ADC Chanel 1</a></h3>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td >
<b>HW prefix: </b>
</td>
<td  class="td_code">
fmc_adc_core_adc_ch1
</td>
</tr>
<tr>
<td >
<b>HW address: </b>
</td>
<td  class="td_code">
0x2
</td>
</tr>
<tr>
<td >
<b>C prefix: </b>
</td>
<td  class="td_code">
ADC_CH1
</td>
</tr>
<tr>
<td >
<b>C offset: </b>
</td>
<td  class="td_code">
0x8
</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
31
</td>
<td  class="td_bit">
30
</td>
<td  class="td_bit">
29
</td>
<td  class="td_bit">
28
</td>
<td  class="td_bit">
27
</td>
<td  class="td_bit">
26
</td>
<td  class="td_bit">
25
</td>
<td  class="td_bit">
24
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH1[31:24]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
23
</td>
<td  class="td_bit">
22
</td>
<td  class="td_bit">
21
</td>
<td  class="td_bit">
20
</td>
<td  class="td_bit">
19
</td>
<td  class="td_bit">
18
</td>
<td  class="td_bit">
17
</td>
<td  class="td_bit">
16
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH1[23:16]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
15
</td>
<td  class="td_bit">
14
</td>
<td  class="td_bit">
13
</td>
<td  class="td_bit">
12
</td>
<td  class="td_bit">
11
</td>
<td  class="td_bit">
10
</td>
<td  class="td_bit">
9
</td>
<td  class="td_bit">
8
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH1[15:8]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
7
</td>
<td  class="td_bit">
6
</td>
<td  class="td_bit">
5
</td>
<td  class="td_bit">
4
</td>
<td  class="td_bit">
3
</td>
<td  class="td_bit">
2
</td>
<td  class="td_bit">
1
</td>
<td  class="td_bit">
0
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH1[7:0]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<ul>
<li><b>
ADC_CH1
</b>[<i>read-only</i>]: ADC Chanel1
<br>Reading of channel 1 of 18bit ADC AD7806
</ul>
<a name="ADC_CH2"></a>
<h3><a name="sect_3_4">3.4. ADC Chanel 2</a></h3>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td >
<b>HW prefix: </b>
</td>
<td  class="td_code">
fmc_adc_core_adc_ch2
</td>
</tr>
<tr>
<td >
<b>HW address: </b>
</td>
<td  class="td_code">
0x3
</td>
</tr>
<tr>
<td >
<b>C prefix: </b>
</td>
<td  class="td_code">
ADC_CH2
</td>
</tr>
<tr>
<td >
<b>C offset: </b>
</td>
<td  class="td_code">
0xc
</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
31
</td>
<td  class="td_bit">
30
</td>
<td  class="td_bit">
29
</td>
<td  class="td_bit">
28
</td>
<td  class="td_bit">
27
</td>
<td  class="td_bit">
26
</td>
<td  class="td_bit">
25
</td>
<td  class="td_bit">
24
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH2[31:24]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
23
</td>
<td  class="td_bit">
22
</td>
<td  class="td_bit">
21
</td>
<td  class="td_bit">
20
</td>
<td  class="td_bit">
19
</td>
<td  class="td_bit">
18
</td>
<td  class="td_bit">
17
</td>
<td  class="td_bit">
16
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH2[23:16]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
15
</td>
<td  class="td_bit">
14
</td>
<td  class="td_bit">
13
</td>
<td  class="td_bit">
12
</td>
<td  class="td_bit">
11
</td>
<td  class="td_bit">
10
</td>
<td  class="td_bit">
9
</td>
<td  class="td_bit">
8
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH2[15:8]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
7
</td>
<td  class="td_bit">
6
</td>
<td  class="td_bit">
5
</td>
<td  class="td_bit">
4
</td>
<td  class="td_bit">
3
</td>
<td  class="td_bit">
2
</td>
<td  class="td_bit">
1
</td>
<td  class="td_bit">
0
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH2[7:0]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<ul>
<li><b>
ADC_CH2
</b>[<i>read-only</i>]: ADC Chanel2
<br>Reading of channel 1 of 18bit ADC AD7806
</ul>
<a name="ADC_CH3"></a>
<h3><a name="sect_3_5">3.5. ADC Chanel 3</a></h3>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td >
<b>HW prefix: </b>
</td>
<td  class="td_code">
fmc_adc_core_adc_ch3
</td>
</tr>
<tr>
<td >
<b>HW address: </b>
</td>
<td  class="td_code">
0x4
</td>
</tr>
<tr>
<td >
<b>C prefix: </b>
</td>
<td  class="td_code">
ADC_CH3
</td>
</tr>
<tr>
<td >
<b>C offset: </b>
</td>
<td  class="td_code">
0x10
</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
31
</td>
<td  class="td_bit">
30
</td>
<td  class="td_bit">
29
</td>
<td  class="td_bit">
28
</td>
<td  class="td_bit">
27
</td>
<td  class="td_bit">
26
</td>
<td  class="td_bit">
25
</td>
<td  class="td_bit">
24
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH3[31:24]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
23
</td>
<td  class="td_bit">
22
</td>
<td  class="td_bit">
21
</td>
<td  class="td_bit">
20
</td>
<td  class="td_bit">
19
</td>
<td  class="td_bit">
18
</td>
<td  class="td_bit">
17
</td>
<td  class="td_bit">
16
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH3[23:16]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
15
</td>
<td  class="td_bit">
14
</td>
<td  class="td_bit">
13
</td>
<td  class="td_bit">
12
</td>
<td  class="td_bit">
11
</td>
<td  class="td_bit">
10
</td>
<td  class="td_bit">
9
</td>
<td  class="td_bit">
8
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH3[15:8]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
7
</td>
<td  class="td_bit">
6
</td>
<td  class="td_bit">
5
</td>
<td  class="td_bit">
4
</td>
<td  class="td_bit">
3
</td>
<td  class="td_bit">
2
</td>
<td  class="td_bit">
1
</td>
<td  class="td_bit">
0
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH3[7:0]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<ul>
<li><b>
ADC_CH3
</b>[<i>read-only</i>]: ADC Chanel3
<br>Reading of channel 1 of 18bit ADC AD7806
</ul>
<a name="ADC_CH4"></a>
<h3><a name="sect_3_6">3.6. ADC Chanel 4</a></h3>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td >
<b>HW prefix: </b>
</td>
<td  class="td_code">
fmc_adc_core_adc_ch4
</td>
</tr>
<tr>
<td >
<b>HW address: </b>
</td>
<td  class="td_code">
0x5
</td>
</tr>
<tr>
<td >
<b>C prefix: </b>
</td>
<td  class="td_code">
ADC_CH4
</td>
</tr>
<tr>
<td >
<b>C offset: </b>
</td>
<td  class="td_code">
0x14
</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
31
</td>
<td  class="td_bit">
30
</td>
<td  class="td_bit">
29
</td>
<td  class="td_bit">
28
</td>
<td  class="td_bit">
27
</td>
<td  class="td_bit">
26
</td>
<td  class="td_bit">
25
</td>
<td  class="td_bit">
24
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH4[31:24]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
23
</td>
<td  class="td_bit">
22
</td>
<td  class="td_bit">
21
</td>
<td  class="td_bit">
20
</td>
<td  class="td_bit">
19
</td>
<td  class="td_bit">
18
</td>
<td  class="td_bit">
17
</td>
<td  class="td_bit">
16
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH4[23:16]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
15
</td>
<td  class="td_bit">
14
</td>
<td  class="td_bit">
13
</td>
<td  class="td_bit">
12
</td>
<td  class="td_bit">
11
</td>
<td  class="td_bit">
10
</td>
<td  class="td_bit">
9
</td>
<td  class="td_bit">
8
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH4[15:8]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
7
</td>
<td  class="td_bit">
6
</td>
<td  class="td_bit">
5
</td>
<td  class="td_bit">
4
</td>
<td  class="td_bit">
3
</td>
<td  class="td_bit">
2
</td>
<td  class="td_bit">
1
</td>
<td  class="td_bit">
0
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH4[7:0]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<ul>
<li><b>
ADC_CH4
</b>[<i>read-only</i>]: ADC Chanel4
<br>Reading of channel 1 of 18bit ADC AD7806
</ul>
<a name="ADC_CH5"></a>
<h3><a name="sect_3_7">3.7. ADC Chanel 5</a></h3>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td >
<b>HW prefix: </b>
</td>
<td  class="td_code">
fmc_adc_core_adc_ch5
</td>
</tr>
<tr>
<td >
<b>HW address: </b>
</td>
<td  class="td_code">
0x6
</td>
</tr>
<tr>
<td >
<b>C prefix: </b>
</td>
<td  class="td_code">
ADC_CH5
</td>
</tr>
<tr>
<td >
<b>C offset: </b>
</td>
<td  class="td_code">
0x18
</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
31
</td>
<td  class="td_bit">
30
</td>
<td  class="td_bit">
29
</td>
<td  class="td_bit">
28
</td>
<td  class="td_bit">
27
</td>
<td  class="td_bit">
26
</td>
<td  class="td_bit">
25
</td>
<td  class="td_bit">
24
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH5[31:24]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
23
</td>
<td  class="td_bit">
22
</td>
<td  class="td_bit">
21
</td>
<td  class="td_bit">
20
</td>
<td  class="td_bit">
19
</td>
<td  class="td_bit">
18
</td>
<td  class="td_bit">
17
</td>
<td  class="td_bit">
16
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH5[23:16]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
15
</td>
<td  class="td_bit">
14
</td>
<td  class="td_bit">
13
</td>
<td  class="td_bit">
12
</td>
<td  class="td_bit">
11
</td>
<td  class="td_bit">
10
</td>
<td  class="td_bit">
9
</td>
<td  class="td_bit">
8
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH5[15:8]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
7
</td>
<td  class="td_bit">
6
</td>
<td  class="td_bit">
5
</td>
<td  class="td_bit">
4
</td>
<td  class="td_bit">
3
</td>
<td  class="td_bit">
2
</td>
<td  class="td_bit">
1
</td>
<td  class="td_bit">
0
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH5[7:0]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<ul>
<li><b>
ADC_CH5
</b>[<i>read-only</i>]: ADC Chanel5
<br>Reading of channel 5 of 18bit ADC AD7806
</ul>
<a name="ADC_CH6"></a>
<h3><a name="sect_3_8">3.8. ADC Chanel 6</a></h3>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td >
<b>HW prefix: </b>
</td>
<td  class="td_code">
fmc_adc_core_adc_ch6
</td>
</tr>
<tr>
<td >
<b>HW address: </b>
</td>
<td  class="td_code">
0x7
</td>
</tr>
<tr>
<td >
<b>C prefix: </b>
</td>
<td  class="td_code">
ADC_CH6
</td>
</tr>
<tr>
<td >
<b>C offset: </b>
</td>
<td  class="td_code">
0x1c
</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
31
</td>
<td  class="td_bit">
30
</td>
<td  class="td_bit">
29
</td>
<td  class="td_bit">
28
</td>
<td  class="td_bit">
27
</td>
<td  class="td_bit">
26
</td>
<td  class="td_bit">
25
</td>
<td  class="td_bit">
24
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH6[31:24]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
23
</td>
<td  class="td_bit">
22
</td>
<td  class="td_bit">
21
</td>
<td  class="td_bit">
20
</td>
<td  class="td_bit">
19
</td>
<td  class="td_bit">
18
</td>
<td  class="td_bit">
17
</td>
<td  class="td_bit">
16
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH6[23:16]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
15
</td>
<td  class="td_bit">
14
</td>
<td  class="td_bit">
13
</td>
<td  class="td_bit">
12
</td>
<td  class="td_bit">
11
</td>
<td  class="td_bit">
10
</td>
<td  class="td_bit">
9
</td>
<td  class="td_bit">
8
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH6[15:8]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
7
</td>
<td  class="td_bit">
6
</td>
<td  class="td_bit">
5
</td>
<td  class="td_bit">
4
</td>
<td  class="td_bit">
3
</td>
<td  class="td_bit">
2
</td>
<td  class="td_bit">
1
</td>
<td  class="td_bit">
0
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH6[7:0]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<ul>
<li><b>
ADC_CH6
</b>[<i>read-only</i>]: ADC Chanel6
<br>Reading of channel 6 of 18bit ADC AD7806
</ul>
<a name="ADC_CH7"></a>
<h3><a name="sect_3_9">3.9. ADC Chanel 7</a></h3>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td >
<b>HW prefix: </b>
</td>
<td  class="td_code">
fmc_adc_core_adc_ch7
</td>
</tr>
<tr>
<td >
<b>HW address: </b>
</td>
<td  class="td_code">
0x8
</td>
</tr>
<tr>
<td >
<b>C prefix: </b>
</td>
<td  class="td_code">
ADC_CH7
</td>
</tr>
<tr>
<td >
<b>C offset: </b>
</td>
<td  class="td_code">
0x20
</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
31
</td>
<td  class="td_bit">
30
</td>
<td  class="td_bit">
29
</td>
<td  class="td_bit">
28
</td>
<td  class="td_bit">
27
</td>
<td  class="td_bit">
26
</td>
<td  class="td_bit">
25
</td>
<td  class="td_bit">
24
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH7[31:24]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
23
</td>
<td  class="td_bit">
22
</td>
<td  class="td_bit">
21
</td>
<td  class="td_bit">
20
</td>
<td  class="td_bit">
19
</td>
<td  class="td_bit">
18
</td>
<td  class="td_bit">
17
</td>
<td  class="td_bit">
16
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH7[23:16]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
15
</td>
<td  class="td_bit">
14
</td>
<td  class="td_bit">
13
</td>
<td  class="td_bit">
12
</td>
<td  class="td_bit">
11
</td>
<td  class="td_bit">
10
</td>
<td  class="td_bit">
9
</td>
<td  class="td_bit">
8
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH7[15:8]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
7
</td>
<td  class="td_bit">
6
</td>
<td  class="td_bit">
5
</td>
<td  class="td_bit">
4
</td>
<td  class="td_bit">
3
</td>
<td  class="td_bit">
2
</td>
<td  class="td_bit">
1
</td>
<td  class="td_bit">
0
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH7[7:0]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<ul>
<li><b>
ADC_CH7
</b>[<i>read-only</i>]: ADC Chanel7
<br>Reading of channel 7 of 18bit ADC AD7806
</ul>
<a name="ADC_CH8"></a>
<h3><a name="sect_3_10">3.10. ADC Chanel 8</a></h3>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td >
<b>HW prefix: </b>
</td>
<td  class="td_code">
fmc_adc_core_adc_ch8
</td>
</tr>
<tr>
<td >
<b>HW address: </b>
</td>
<td  class="td_code">
0x9
</td>
</tr>
<tr>
<td >
<b>C prefix: </b>
</td>
<td  class="td_code">
ADC_CH8
</td>
</tr>
<tr>
<td >
<b>C offset: </b>
</td>
<td  class="td_code">
0x24
</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
31
</td>
<td  class="td_bit">
30
</td>
<td  class="td_bit">
29
</td>
<td  class="td_bit">
28
</td>
<td  class="td_bit">
27
</td>
<td  class="td_bit">
26
</td>
<td  class="td_bit">
25
</td>
<td  class="td_bit">
24
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH8[31:24]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
23
</td>
<td  class="td_bit">
22
</td>
<td  class="td_bit">
21
</td>
<td  class="td_bit">
20
</td>
<td  class="td_bit">
19
</td>
<td  class="td_bit">
18
</td>
<td  class="td_bit">
17
</td>
<td  class="td_bit">
16
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH8[23:16]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
15
</td>
<td  class="td_bit">
14
</td>
<td  class="td_bit">
13
</td>
<td  class="td_bit">
12
</td>
<td  class="td_bit">
11
</td>
<td  class="td_bit">
10
</td>
<td  class="td_bit">
9
</td>
<td  class="td_bit">
8
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH8[15:8]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
7
</td>
<td  class="td_bit">
6
</td>
<td  class="td_bit">
5
</td>
<td  class="td_bit">
4
</td>
<td  class="td_bit">
3
</td>
<td  class="td_bit">
2
</td>
<td  class="td_bit">
1
</td>
<td  class="td_bit">
0
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
ADC_CH8[7:0]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<ul>
<li><b>
ADC_CH8
</b>[<i>read-only</i>]: ADC Chanel8
<br>Reading of channel 8 of 18bit ADC AD7806
</ul>
<a name="SAMPLES_CNT"></a>
<h3><a name="sect_3_11">3.11. Samples counter</a></h3>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td >
<b>HW prefix: </b>
</td>
<td  class="td_code">
fmc_adc_core_samples_cnt
</td>
</tr>
<tr>
<td >
<b>HW address: </b>
</td>
<td  class="td_code">
0xa
</td>
</tr>
<tr>
<td >
<b>C prefix: </b>
</td>
<td  class="td_code">
SAMPLES_CNT
</td>
</tr>
<tr>
<td >
<b>C offset: </b>
</td>
<td  class="td_code">
0x28
</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
31
</td>
<td  class="td_bit">
30
</td>
<td  class="td_bit">
29
</td>
<td  class="td_bit">
28
</td>
<td  class="td_bit">
27
</td>
<td  class="td_bit">
26
</td>
<td  class="td_bit">
25
</td>
<td  class="td_bit">
24
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
SAMPLES_CNT[31:24]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
23
</td>
<td  class="td_bit">
22
</td>
<td  class="td_bit">
21
</td>
<td  class="td_bit">
20
</td>
<td  class="td_bit">
19
</td>
<td  class="td_bit">
18
</td>
<td  class="td_bit">
17
</td>
<td  class="td_bit">
16
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
SAMPLES_CNT[23:16]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
15
</td>
<td  class="td_bit">
14
</td>
<td  class="td_bit">
13
</td>
<td  class="td_bit">
12
</td>
<td  class="td_bit">
11
</td>
<td  class="td_bit">
10
</td>
<td  class="td_bit">
9
</td>
<td  class="td_bit">
8
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
SAMPLES_CNT[15:8]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<table cellpadding=0 cellspacing=0 border=0>
<tr>
<td  class="td_bit">
7
</td>
<td  class="td_bit">
6
</td>
<td  class="td_bit">
5
</td>
<td  class="td_bit">
4
</td>
<td  class="td_bit">
3
</td>
<td  class="td_bit">
2
</td>
<td  class="td_bit">
1
</td>
<td  class="td_bit">
0
</td>
</tr>
<tr>
<td style="border: solid 1px black;" colspan=8  class="td_field">
SAMPLES_CNT[7:0]
</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
<td >

</td>
</tr>
</table>
<ul>
<li><b>
SAMPLES_CNT
</b>[<i>read-only</i>]: Samples counter
<br>Counts the number of samples.<br> It is reset on START and then counts the number of pre-trigger + post-trigger samples
</ul>



</BODY>
</HTML>
